Inkscape: A Vector Drawing Tool

bad svg file version using flowRoot

Reported by Bug Importer on 2006-03-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
Undecided
Mental-users

Bug Description

when I include in my SVG file a flowRoot element, the
SVG file generated is 1.0 version and it must be 1.2
that is the version that supports flowroots elements.
This bug produce crashes when you want to create a
SVGDocument with a SVGDomFactory because it is not
possible to create an 1.0 version SVG document with
flowroots.
This is the error I have found when try to create the
Document:
org.w3c.dom.DOMException: The current document is
unable to create an element of the requested type
(namespace: http://www.w3.org/2000/svg, name: flowRoot).

Tags: svg Edit Tag help

Mental, didn't you address the version setting?

matthewoliver (matthew-oliver) wrote :

This is happening to me as well, when creating a SVG file with a flowRoot tag, the SVG version attribute needs to 1.2 not 1.0, this causes SVG libraries (in my case batik) to fail.

If adding a version 1.2 tag then the SVG must be at least be 1.2 as well.. otherwise this is a bug. If this can't be resolved we may have to stop using inkscape as our digital presentation software becomes unreliable. I hope to see this fixed.

The SVG's in question were created using inkscape version: 0.46

Regards,
Matt

~suv (suv-lp) wrote :

linking as duplicate to above noted bug report (sf1441003) from the previous tracker on sourceforge.net:
Bug #167335 “flowed text (flowRoot) must be moved to inkscape namespace”:
<https://bugs.launchpad.net/inkscape/+bug/167335>

Please add a comment and revert the duplicate status if you don't agree.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers